OpenTTD Source: SlStationWaypoint Class Reference

OpenTTD Source 12.0-beta1

Public Member Functions | Static Public Attributes
SlStationWaypoint Class Reference
Inheritance diagram for SlStationWaypoint:

## Public Member Functions
void | Save (BaseStation *bst) const
void | Load (BaseStation *bst) const
void | FixPointers (BaseStation *bst) const
Public Member Functions inherited from DefaultSaveLoadHandler< SlStationWaypoint, BaseStation >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk. More...
void | Load (void *object) const override
| Load the object from disk. More...
virtual void | LoadCheck (BaseStation *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames. More...
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers. More...
Public Member Functions inherited from SaveLoadHandler
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _station_waypoint_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 620 of file station_sl.cpp.

## Field Documentation

## ◆ description

const SaveLoad SlStationWaypoint::description[]
| inlinestatic

Initial value:
= {
SLEG_STRUCT("base", SlStationBase),
SLE_VAR(Waypoint, town_cn, SLE_UINT16),
SLE_CONDVAR(Waypoint, train_station.tile, SLE_UINT32, SLV_124, SL_MAX_VERSION),
SLE_CONDVAR(Waypoint, train_station.w, SLE_FILE_U8 | SLE_VAR_U16, SLV_124, SL_MAX_VERSION),
SLE_CONDVAR(Waypoint, train_station.h, SLE_FILE_U8 | SLE_VAR_U16, SLV_124, SL_MAX_VERSION),
}

Definition at line 622 of file station_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/station_sl.cpp

SlStationBase
SaveLoad handler for the BaseStation, which all other stations / waypoints make use of.
Definition: station_sl.cpp:524
SLV_124
@ SLV_124
124 16993
Definition: saveload.h:195
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition: saveload.h:701
Waypoint
Representation of a waypoint.
Definition: waypoint_base.h:16
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition: saveload.h:341
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition: saveload.h:771
SLEG_STRUCT
#define SLEG_STRUCT(name, handler)
Storage of a structs in every savegame version.
Definition: saveload.h:975